Publish Get publish job status

Returns the current publish state. Dashboards poll this endpoint while a publish job is in progress.

GET
/control-plane/api/v1/documentation/{organization_id}/{documentation_id}/publish/status

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

organization_idstringrequired

Organization ID


documentation_idstringrequired

Documentation ID


Responses

200
Current publish state

Response Fields:

  • completed_at (string)

  • error (string)

  • last_published_at (string)

  • started_at (string)

  • state (string): "idle" | "in_progress" | "succeeded" | "failed"

Example:

{
  "completed_at": "string",
  "error": "string",
  "last_published_at": "string",
  "started_at": "string",
  "state": "string"
}
400
Bad request

Example:

{
  "key": "value"
}
404
Documentation not found

Example:

{
  "key": "value"
}
500
Internal server error

Example:

{
  "key": "value"
}